Package org.bgerp.plugin.msg.email.dao

# Class EMailDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.plugin.msg.email.dao.EMailDAO

public class EMailDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EMailDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ParameterEmailValue>`
  `getCustomerEmails(Set<Integer> ids)`
  Selects E-Mails in parameters of customers.
  `List<ParameterEmailValue>`
  `getProcessEmails(int processId)`
  Selects E-Mails in process parameters.
  `List<ParameterEmailValue>`
  `getUserEmails(Set<Integer> ids)`
  Selects E-Mails in parameters of users excluding in `User.STATUS_DISABLED`.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EMailDAO

    public EMailDAO(Connection con)

- ## Method Details

  - ### getProcessEmails

    public List<ParameterEmailValue> getProcessEmails(int processId) throws SQLException
    Selects E-Mails in process parameters.
    Parameters:
      `processId` - process ID.
    Returns:
    Throws:
      `SQLException`

  - ### getUserEmails

    public List<ParameterEmailValue> getUserEmails(Set<Integer> ids) throws SQLException
    Selects E-Mails in parameters of users excluding in `User.STATUS_DISABLED`.
    Parameters:
      `ids` - optional set of user IDs.
    Returns:
    Throws:
      `SQLException`

  - ### getCustomerEmails

    public List<ParameterEmailValue> getCustomerEmails(Set<Integer> ids) throws SQLException
    Selects E-Mails in parameters of customers.
    Parameters:
      `ids` - optional set of customer IDs.
    Returns:
    Throws:
      `SQLException`